
kerio.waw.ui.trafficPolicyList = {

x_m: function(x_n) {
var
x_2w,
x_x = kerio.lib.x_x,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t),
x_1re = 'inspector',
x_1rf = x_r.x_1e9.x_1f9,
x_1rg = x_r.x_1e9.x_1fa,
x_1rh = {},
x_i7,
x_i9,
x_1ri,
x_1rj,
x_go,
x_1rk,
x_1rl,
x_1rm,
x_1rn,
x_1ro,
x_i1,
x_1rp,
x_1rq,
x_5o,
x_3n,
x_3l;

x_1rk = function(x_12v, x_47) {
var
x_1rr = this.x_1rr,
x_7s,
x_6p,
x_1cl,
x_1ck,
x_1rs;
x_7s = this.x_kc.config[x_12v].dataIndex; x_1cl = 'x_47';switch (x_7s) {
case 'sourceList':
x_6p = this.x_1rn;
x_1ck = x_47.data.sourceList;
x_1rs = x_47.data.source.type;
break;
case 'destinationList':
x_6p = this.x_1rn;
x_1ck = x_47.data.destinationList;
x_1rs = x_47.data.destination.type;
break;
case 'serviceList':
x_6p = this.x_1rl;
x_1ck = x_47.data.serviceList;
x_1rs = x_47.data.service.type;
break;
case 'translation':
x_6p = this.x_1ro;
x_1ck = x_47.data.translation;
x_1rs = (0 === x_1ck.length ?
x_r.x_1rt.x_7c :
x_r.x_1rt.x_1ru);
break;
default:
return;}
if (kerio.lib.x_1rv) {
delete x_1rr.x_6p;
delete x_1rr.x_1cl;
delete x_1rr.x_1ck;
delete x_1rr.x_1rs;
}
x_1rr.x_6p = x_6p;
x_1rr.x_1cl = x_1cl;
x_1rr.x_1ck = x_1ck;
x_1rr.x_1rs = x_1rs;
};
x_1rl = function(x_47, x_3l) {
var
x_9h = {};if (x_47.x_1ch) {
x_9h.x_cy = 'policyGrid gridListIcon serviceIcon objectNothing';
x_9h.x_47 = x_3l.x_vr.x_1rw;
return x_9h;
}
if (x_47.definedService) {
x_9h = x_fi.x_1c0(x_47.service.name);
x_9h.x_cy = 'gridListIcon ' + x_9h.x_cy;
} else {
x_9h.x_47 = x_3l.x_1rh[x_47.protocol] +
' ' + x_fi.x_1gl(x_47.port);
x_9h.x_cy = 'gridListIcon portIcon';
}
return x_9h;
};
x_1rn = function(x_47, x_3l) {
var
x_1rx = x_r.x_1io,
x_1ry = x_r.x_z,
x_8q = kerio.waw.shared.x_3e.x_8q,
x_1rz = x_47.type,
x_cy,
x_1is,
x_1s0,
x_133,
x_1s1,
x_1s2,
x_1s3,
x_1s4,
x_eo,
x_1s5 = {},
x_1s6;
if (x_47.x_1ch) {
x_cy = 'objectNothing';
x_eo = x_3l.x_vr.x_1rw;
}
switch (x_1rz) {
case x_1rx.x_1cx:
case x_1rx.x_1cu:
case x_1rx.x_1cv:
case x_1rx.x_1cw:
x_1s5 = {
type: '',
host: x_47.host,
addr1: x_47.addr1,
addr2: x_47.addr2
};
switch (x_1rz) {
case x_1rx.x_1cx:
x_1s5.type = x_1ry.x_1cx;
break;
case x_1rx.x_1cu:
x_1s5.type = x_1ry.x_1cu;
break;
case x_1rx.x_1cv:
x_1s5.type = x_1ry.x_1cv;
break;
case x_1rx.x_1cw:
x_1s5.type = x_1ry.x_1cw;
break;
}x_1s6 = x_8q.x_mk(undefined, x_1s5);
x_eo = x_1s6.x_47;
x_cy = x_1s6.x_cy;
break;
case x_1rx.x_v0:
x_1s5.validAddressGroup = x_47.addressGroup;
x_1s6 = x_8q.x_gm(null, x_1s5);
x_eo = x_1s6.x_47;
x_cy = x_1s6.x_cy;
break;
case x_1rx.x_1qr:
x_1s0 = x_r.x_1s0;
x_1s1 = x_47.interfaceCondition;
x_1s2 = x_1s1.type;
if (x_1s0.x_1ru === x_1s2) {
x_1s6 = x_fi.x_kg(x_1s1.selectedInterface.name,
{	'type': x_1s1.interfaceType,
'enabled': true});} else {
x_133 = x_r.x_133;
if (x_1s0.x_134 === x_1s2) {
x_1s3 = x_133.x_134;
} else {
x_1s3 = x_133.x_14c;
}
x_1s6 = x_8q.x_13k(x_1s3);
}
x_eo = x_1s6.x_47;
x_cy = x_1s6.x_cy;
break;
case x_1rx.x_14d:
x_1is = x_r.x_1is;
x_1s4 = x_47.vpnCondition;
x_cy = 'interfaceIcon ';
switch (x_1s4.type) {
case x_1is.x_1gd:
x_eo = x_3l.x_vr.x_1s7;
x_cy += 'interfaceAllVpnTunnels';
break;
case x_1is.x_1s8:
x_eo = x_3l.x_vr.x_1s9;
x_cy += 'interfaceVpnServer';
break;
case x_1is.x_1ru:
x_eo = x_1s4.tunnel.name;
x_cy += 'interfaceVpnTunnel';
break;
}
break;
case x_1rx.x_1iq:
if (x_r.x_1c8.x_1ce === x_47.userType){
x_eo = x_3l.x_vr.x_1sa;
x_cy = 'authUsersIcon';
} else {
x_1s6 = x_fi.x_cw(x_47.user);
x_eo = x_1s6.x_cx;
x_cy = x_1s6.x_cz;
}
break;
}
return {
x_47: x_eo,
x_cy: 'gridListIcon ' + x_cy
};
};
x_1ro = function(x_1o, x_3l, x_47) {
var
x_1sb = x_3l.x_1sb,
x_vr = x_3l.x_vr,
x_eo,
x_1sc;
switch (x_1o) {
case x_1sb.x_1sd:
if (x_47.allowReverseConnection) {
x_eo = x_vr.x_1se;
}
else {
x_eo = x_vr.x_1sf;
}
x_1sc = x_r.x_1qf;
switch (x_47.natMode) {
case x_1sc.x_1qr:
x_eo += ' (' + x_47.natInterface.name + ')';
break;
case x_1sc.x_wr:
x_eo += ' (' + x_47.ipAddress + ')';
break;
}
break;
case x_1sb.x_1qg:
if (x_r.x_1qh.x_1qu === x_47.balancing) {
x_eo = x_vr.x_1sg;
} else {
x_eo = x_vr.x_1sh;
}
break;
case x_1sb.x_1si:
x_eo = 	x_vr.x_1si + ' ' +
x_47.translatedHost +
(x_47.translatedPort.enabled ? ':' + x_47.translatedPort.value : '');
break;
}
return {
x_47: x_eo
};
};
x_1rm = function(x_1o, x_47, x_fl, x_kb, x_3l, x_g7) {
var
x_1rr = x_3l.x_1rr,
x_1cp = x_1rr.x_1sj - 1, x_42 = x_1rr.x_1ck.length - x_1cp,
x_1cq = (x_1cp === x_g7 && 1 < x_42), x_1sk,
x_eo,
x_cy,
x_d1;
if (x_1cq) {
x_eo = kerio.lib.x_x('…and %1 more', 'userList', {x_49:[x_42]});
x_cy = '';
x_d1 = kerio.lib.x_qc(
x_fi.x_1cs(
{	x_1ck: x_1rr.x_1ck,
x_1ct: x_1cp,
x_6p: x_1rr.x_6p,
x_1cl: x_1rr.x_1cl
}
)
);
}
else {
x_1sk = x_1rr.x_6p(x_1o, x_3l, x_47);
x_eo = x_1sk.x_47;
x_cy = x_1sk.x_cy;
x_d1 = '';
}
return {
x_ke: x_1cq,
x_47: x_eo,
x_cy: x_cy,
x_d0: x_d1,
x_pi: x_d1
};
};
x_go = function(x_1o, x_47, x_fl, x_12v, x_3l) {
var
x_kd = x_r.x_1c6,
x_1rx = x_r.x_1rt,
x_1rr = x_3l.x_1rr,
x_vr = x_3l.x_vr,
x_1p = 'userList',
x_1ca,
x_1cc,
x_1cb;
x_3l.x_1rk.call(x_3l, x_12v, x_47);
switch (x_1rr.x_1rs) {
case x_1rx.x_1sl:
x_1rr.x_1ck.push({x_1ch: true});					x_1cc = x_vr.x_1sm;
break;
case x_1rx.x_1ru:
if (x_kd) {
x_1ca = x_fi.x_1cj(
{	x_1ck: x_1rr.x_1ck,
x_6p: x_1rr.x_6p,
x_1cl: x_1rr.x_1cl
}
);
x_1cc = x_1ca.x_d1;
x_1cb = x_1ca.x_1o;
}
break;
case x_1rx.x_7c:
x_1cb = ' '; break;
default:x_1cb = x_vr.x_1sn;
}
return {
x_1p: x_1p,
x_kd: x_kd,
x_1cm: x_1rr.x_1sj,
x_1cb: x_1cb,
x_1cc: x_1cc,
x_ke: true,
x_kf: x_3l.x_1rm
};
};
x_1rp = function(x_1o, x_47, x_fl, x_kb, x_3l, x_g7) {
var
x_vr = x_3l.x_vr,
x_1so = (1 === x_g7),
x_31 = x_47.x_h5 && x_1so,
x_1sp = x_47.inactive || (x_1so && (x_r.x_im.x_up === x_47.action || x_r.x_im.x_xt === x_47.action));
return {
x_47: (x_1so) ? x_vr.x_1sq : x_vr.x_1sr,
x_1ss: x_31,
x_1p: (x_1sp) ? 'passive' : ''
};
};

x_1rq = function(x_1o, x_47, x_fl, x_12v, x_3l) {
return {
x_kf: x_3l.x_1rp,
x_kd: false,
x_1st: true
};
};
x_1ri = {
x_1f: 'x_9u',
x_a5: 'x_1o',
x_a7: 'x_1j',
x_um: 'x_cz',
x_un: 'ruleAction',
x_uo: false,
x_5z: [
{ x_1j: x_r.x_im.x_in, x_1o: x_x('Allow', 'common'), x_cz: 'allow'},
{ x_1j: x_r.x_im.x_up, x_1o: x_x('Deny', 'common'), x_cz: 'deny'},
{ x_1j: x_r.x_im.x_xt, x_1o: x_x('Drop', 'common'), x_cz: 'drop'}
],
x_uq: {
x_1o: x_r.x_im.x_ur,
x_us: x_x('Select action', 'list')
},

x_gf: function(x_9d, x_ax) {
var
x_h5 = x_9d.x_3v.x_40[0].x_47.x_h5;
x_ax.x_1su(x_r.x_im.x_in, !x_h5);
},

x_gj: function(x_9d, x_ax) {
var
x_ut = x_9d.x_gg().x_uu,
x_uv = x_ax.x_2t();
if (x_ut === x_uv) {
return; }
kerio.waw.status.x_14.x_15(true);
}
};x_1rj = {
x_1f: 'x_9u',
x_a5: 'x_a6',
x_a7: 'x_1o',
x_5z: [],

x_gj: function(x_3l) {
x_3l.x_i5();
}
};
x_i1 = function(x_47) {
var
x_1sl = x_r.x_1rt.x_1sl,
x_41,
x_1sv,
x_ve;
if (x_1sl === x_47.destination.type ||
x_1sl === x_47.source.type ||
x_1sl === x_47.service.type) {
return true;
}
x_1sv = x_47.source.entities;
for (x_41 = 0; x_41 < 2; x_41++) {
if (x_1sv && 1 === x_1sv.length) {
x_ve = x_1sv[0].addressGroup;
if (x_ve && x_ve.invalid) {
return true;
}
}
x_1sv = x_47.destination.entities;
}
return false;
};
x_i7 = function(x_47) {
var
x_41, x_42,
x_j3;
for (x_41 = 0, x_42 = x_47.length; x_41 < x_42; x_41++) {
x_j3 = x_47[x_41];
delete x_j3.sourceList;
delete x_j3.destinationList;
delete x_j3.serviceList;
delete x_j3.translation;
}
};
x_i9 = function(x_47) {
var
x_rw = this.x_hz,
x_42,
x_da;
x_42 = x_47.length - 1;
x_da = [
{	object: x_rw,
method: 'setDefaultRule',
params: {rule: x_47[x_42]}
}
];
x_47 = this.x_j7(x_47);
x_da.push(
{	object: x_rw,
method: 'set',
params: {rules: x_47}
}
);
return x_da;
};x_5o = {
x_n: x_n,
x_o: x_o,
x_hi: 'TrafficPolicyManager',
x_hw: 'x_1ib',
x_1sw: true,
x_i1: x_i1,
x_hh: false,
x_i7: x_i7,
x_i9: x_i9,

x_h6: function(x_7s, x_eo) {
if (!x_eo.x_h5 || 'action' === x_7s || 'logEnabled' === x_7s) {
return true;
}
return false;
},
x_61: function(x_3l, x_eo, x_7s) {
var x_uj, x_1sx;
if (x_3l.x_h7 && 'users' !== x_7s) {
return; }
if (x_eo.x_h5) {
return; }
switch (x_7s) {
case 'translation':
x_uj = 'trafficNatEditor';
break;
case 'source':
case 'sourceList':
x_uj = 'trafficSourceDestinationEditor';
x_1sx = 'x_1sy';
break;
case 'destination':
case 'destinationList':
x_uj = 'trafficSourceDestinationEditor';
x_1sx = 'x_1sz';
break;
case 'serviceList':
x_uj = 'trafficServiceEditor';
break;
default:
return false;
}x_fi.x_3f();
kerio.lib.x_5l.x_5m({
x_5g: x_uj,
x_n: x_1sx || x_uj,
x_28: {
x_47: x_eo,
x_5d: x_3l
}
});
},x_5x: {
action:					{	x_7s: 'action',
x_23: x_x('Action', 'common'),
x_1u: x_fa.x_ul,
x_7u: kerio.waw.shared.x_3e.x_8q.x_uk,
x_ed: x_1ri
},
source:					{	x_7s: 'source',
x_1m: true, x_gn: true
},
destination: 			{	x_7s: 'destination',
x_1m: true, x_gn: true,

x_7u: function(x_1o, x_47) {
var
x_1b = kerio.lib,
x_1t0 = this.x_1t1;
x_47.sourceList = x_1b.x_9m(x_47.source.entities);
x_47.destinationList = x_1b.x_9m(x_47.destination.entities);
x_47.sourceList.sort(this.x_1t2);
x_47.destinationList.sort(this.x_1t2);
if (x_47.source.firewall) {
x_47.sourceList.unshift(x_1t0);
}
if (x_47.destination.firewall) {
x_47.destinationList.unshift(x_1t0);
}
return {x_47: ''}; }},
sourceList:				{	x_7s: 'sourceList',
x_23: x_x('Source', 'trafficPolicy'),
x_1u: 210,
x_go: x_go
},
destinationList:		{	x_7s: 'destinationList',
x_23: x_x('Destination', 'trafficPolicy'),
x_1u: 210,
x_go: x_go
},
service:				{	x_7s: 'service',
x_1m: true, x_gn: true,

x_7u: function(x_1o, x_47) {
x_47.serviceList = kerio.lib.x_9m(x_1o.entries); return {x_47: ''}; }},
serviceList:			{	x_7s: 'serviceList',
x_23: x_x('Service', 'trafficPolicy'),
x_1u: 120,
x_go: x_go
},
enableSourceNat: 		{	x_7s: 'enableSourceNat',
x_1m: true, x_gn: true,

x_7u: function(x_1o, x_47) {
var
x_1sb = this.x_1sb,
x_10y = [];
if (x_47.enableSourceNat) {
x_10y.push(x_1sb.x_1sd);
}
if (x_47.enableSourceNat && x_r.x_1qf.x_1qq === x_47.natMode) {
x_10y.push(x_1sb.x_1qg);
}
if (x_47.enableDestinationNat) {
x_10y.push(x_1sb.x_1si);
}
x_47.translation = x_10y;
return {x_47: ''}; }},
natMode: 				{	x_7s: 'natMode',
x_7t  : true
},
allowReverseConnection: {	x_7s: 'allowReverseConnection',
x_7t  : true
},
balancing: 				{	x_7s: 'balancing',
x_7t  : true
},
natInterface: 			{	x_7s: 'natInterface',
x_7t  : true
},
allowFailover: 			{	x_7s: 'allowFailover',
x_7t  : true
},
ipAddress: 				{	x_7s: 'ipAddress',
x_7t  : true
},
enableDestinationNat: 	{	x_7s: 'enableDestinationNat',
x_7t  : true
},
translatedHost: 		{	x_7s: 'translatedHost',
x_7t  : true
},
translatedPort: 		{	x_7s: 'translatedPort',
x_7t  : true
},
inspector: 				{	x_7s: x_1re,
x_23: x_x('Inspector', 'trafficPolicy'),
x_ed: x_1rj,
x_1u: 100,

x_7u: function(x_1o, x_47, x_fl, x_kb, x_3l) {
switch (x_1o) {
case x_r.x_1t3.x_7c:
x_1o = x_3l.x_vr.x_cr;
break;
case x_r.x_1t3.x_1qq:
x_1o = x_3l.x_vr.x_a2;
break;
}
return {
x_47: x_1o
};
}},
logEnabled:				{	x_7s: 'logEnabled',
x_23: x_x('Log', 'common'),
x_ed: {
x_1f: 'x_1t4',
x_go: x_1rq,

x_9t: function(x_3l) {
x_3l.x_i5();
}
}
},
translation:		{		x_7s: 'translation',
x_23: x_x('Translation', 'trafficPolicy'),
x_1u: 120,
x_go: x_go
}
},x_g3: [
'allowReverseConnection', 'balancing', 'natInterface', 'natMode',
'ipAddress', 'enableDestinationNat', 'translatedHost', 'translatedPort',
'name', 'source', 'destination', 'sourceList', 'destinationList',
'service', 'serviceList', 'action', 'logEnabled',
'enableSourceNat', 'translation',
'validTimeRange', 'validTimeRangeEditor', 'inspector',
'id', 'enabled', 'color', 'description', 'allowFailover'
]};this.x_ga = x_n;
x_2w = x_n + '_';
x_3n = x_2w + 'x_1t5';
x_3l = new kerio.waw.shared.x_17.x_fp(x_3n, x_5o);
x_1rh[x_1rf] = x_fa.x_1gn[x_r.x_1e9.x_1f9].x_23;
x_1rh[x_1rg] = x_fa.x_1gn[x_r.x_1e9.x_1fa].x_23;
x_3l.x_27({
x_vr: {
x_1sn: x_x('Any', 'common'),
x_1rw: x_x('Nothing', 'common'),
x_1s7: x_x('All VPN tunnels', 'trafficRuleList'),
x_1s9: x_x('VPN clients', 'trafficRuleList'),
x_1si: x_x('MAP', 'trafficRuleList'),
x_1sg: x_x('Balancing per host', 'trafficRuleList'),
x_1sh: x_x('Balancing per connection', 'trafficRuleList'),
x_a2: x_x('Default', 'common'),
x_cr: x_x('None', 'common'),
x_1sa: x_x('Authenticated users', 'trafficRuleList'),
x_1sr: x_x('packets', 'trafficRuleList'),
x_1sq: x_x('connections', 'trafficRuleList'),
x_1se: x_x('Full Cone NAT', 'trafficRuleList'),
x_1sf: x_x('NAT', 'trafficRuleList'),
x_v5: x_x('Select action', 'list')
},
x_1rk: x_1rk,
x_1rr: {}, x_1rm: x_1rm,
x_1rn: x_1rn,
x_1rl: x_1rl,
x_1ro: x_1ro,
x_1rp: x_1rp,
x_1rj: kerio.lib.x_1t6(x_3n + '_' + 'x_ed' + '_' + x_1re),
x_1rh: x_1rh,
x_1t1: {type: x_r.x_1io.x_1cx},
x_1sb: {
x_1sd: 'x_1sd',
x_1qg: 'x_1qg',
x_1si: 'x_1si'
}
});this.x_2a(x_3l);
return x_3l;
},

x_2a: function(x_2b) {

x_2b.x_2c = function () {
x_fi.x_3f();
this.x_1t7();
}; 
x_2b.x_1t7 = function() {
var
x_f4;
x_f4 = {
x_da: [
{   object: 'InspectorManager',
method: 'get'
},
{   object: 'TrafficPolicyManager',
method: 'getDefaultRule'
}
],
x_2q: this,
x_2e: this.x_ez
};
x_fi.x_db(x_f4);
};
x_2b.x_ez = function(x_6v) {
var
x_s8 = x_6v.x_ac.batchResult,
x_vr = this.x_vr,
x_1t8,
x_41, x_42,
x_1g8;
if (!x_s8 || Array !== x_s8.constructor) {
x_fi.x_j2(kerio.lib.x_x('Error occured in the connection to the server!', 'common'));
return;
}
x_1t8 = [
{	x_a6: x_vr.x_a2,
x_1o: x_r.x_1t3.x_1qq},
{	x_a6: x_vr.x_cr,
x_1o: x_r.x_1t3.x_7c}
];
x_1g8 = x_s8[0].inspectors;
for (x_41 = 0, x_42 = x_1g8.length; x_41 < x_42; x_41++) {
x_1t8.push(
{	'x_a6': x_1g8[x_41].name,
'x_1o': x_1g8[x_41].name
}
);
}
this.x_1rj.x_7k(x_1t8);
this.x_hx = x_s8[1].rule;
this.x_hx.color = x_r.x_io.x_ip;
this.x_2d();
};
x_2b.x_1t2 = function(x_1t9, x_1ta) {
var
x_1tb,
x_1tc,
x_155,
x_1td,
x_1te,
x_t2,
x_1tf,
x_1tg,
x_1th,
x_1ti,
x_1tj,
x_1tk,
x_1tl,
x_1tm,
x_1tn,
x_1to,
x_1tp,
x_1tq,
x_1tr = x_r.x_1io,
x_1ts = x_1t9.type,
x_1tt = x_1ta.type,
x_1tu = -1,
x_1tv = 1,
x_1tw = 0;
if (x_1ts !== x_1tt) {
switch (x_1ts) {
case x_1tr.x_1cx:
return x_1tu; case x_1tr.x_1cw:
return (x_1tr.x_1cx === x_1tt) ? x_1tv : x_1tu;
case x_1tr.x_1cv:
return ((x_1tr.x_1cx === x_1tt)
|| (x_1tr.x_1cw === x_1tt))
? x_1tv : x_1tu;
case x_1tr.x_1cu:
return ((x_1tr.x_1cx === x_1tt)
|| (x_1tr.x_1cw === x_1tt)
|| (x_1tr.x_1cv === x_1tt))
? x_1tv : x_1tu;
case x_1tr.x_v0:
return ((x_1tr.x_1qr === x_1tt)
|| (x_1tr.x_14d === x_1tt)
|| (x_1tr.x_1iq === x_1tt))
? x_1tu : x_1tv;
case x_1tr.x_1qr:
return ((x_1tr.x_14d === x_1tt)
|| (x_1tr.x_1iq === x_1tt))
? x_1tu : x_1tv;
case x_1tr.x_14d:
return (x_1tr.x_1iq === x_1tt) ? x_1tu : x_1tv;
case x_1tr.x_1iq:
return x_1tv; } } switch (x_1ts) {
case x_1tr.x_1cw:
x_1tf = x_fi.x_1n0(x_1t9.addr1);
x_1tg = x_fi.x_1n0(x_1ta.addr1);
if (x_1tf === x_1tg) {
x_1tf = x_fi.x_1n0(x_1t9.addr2);
x_1tg = x_fi.x_1n0(x_1ta.addr2);
}
return (x_1tf < x_1tg) ? x_1tu : x_1tv;
case x_1tr.x_1cv:
x_1tf = x_fi.x_1n0(x_1t9.addr1);
x_1tg = x_fi.x_1n0(x_1ta.addr1);
return (x_1tf < x_1tg) ? x_1tu : x_1tv;
case x_1tr.x_1cu:
x_t2 = x_fi.x_1n4.x_t2;
x_1td = x_t2(x_1t9.addr1);
x_1te = x_t2(x_1ta.addr1);
if (x_1td !== x_1te) {
return (x_1td) ? x_1tu : x_1tv;
}
if (!x_1td) {
return x_1t9.host.localeCompare(x_1ta.host);
}
x_1tf = x_fi.x_1n0(x_1t9.addr1);
x_1tg = x_fi.x_1n0(x_1ta.addr1);
return (x_1tf < x_1tg) ? x_1tu : x_1tv;
case x_1tr.x_v0:
return x_1t9.addressGroup.name.localeCompare(x_1ta.addressGroup.name);
case x_1tr.x_1qr:
x_1tb = x_r.x_1s0;
x_1th = x_1t9.interfaceCondition.type;
x_1ti = x_1ta.interfaceCondition.type;
if (x_1th !== x_1ti) {
if ((x_1tb.x_134 === x_1th) || (x_1tb.x_1ru === x_1ti)) {
return  x_1tu;
}
if ((x_1tb.x_1ru === x_1th) || (x_1tb.x_134 === x_1ti)) {
return  x_1tv;
}
}
x_1tj = x_1t9.interfaceCondition.interfaceType;
x_1tk = x_1ta.interfaceCondition.interfaceType;
if (x_1tj === x_1tk) {
return x_1t9.interfaceCondition.selectedInterface.name.localeCompare(x_1ta.interfaceCondition.selectedInterface.name);
}
x_155 = x_r.x_kh;
switch (x_1tj) {
case x_155.x_12o:
return x_1tu;
case x_155.x_11w:
return (x_155.x_12o === x_1tk) ? x_1tv : x_1tu;
case x_155.x_158:
return x_1tv;
}
return x_1tu; case x_1tr.x_14d:
x_1tc = x_r.x_1is;
x_1tl = x_1t9.vpnCondition.type;
x_1tm = x_1ta.vpnCondition.type;
if (x_1tl !== x_1tm) {
if ((x_1tc.x_1s8 === x_1tl) || (x_1tc.x_1ru === x_1tm)) {
return  x_1tu;
}
if ((x_1tc.x_1ru === x_1tl) || (x_1tc.x_1s8 === x_1tm)) {
return  x_1tv;
}
}
return x_1t9.vpnCondition.tunnel.name.localeCompare(x_1ta.vpnCondition.tunnel.name);
case x_1tr.x_1iq:
x_1tn = x_1t9.user;
x_1to = x_1ta.user;
if (x_1tn.isGroup !== x_1to.isGroup) {
return (x_1tn.isGroup) ? x_1tu : x_1tv;
}
x_1tp = x_1tn.name + '@' + x_1tn.domainName;
x_1tq = x_1to.name + '@' + x_1to.domainName;
return x_1tp.localeCompare(x_1tq);
} return x_1tw; }; } }; 